Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.util
Interface EngineExecuter

All Known Implementing Classes:
  JREngine

    public interface EngineExecuter

Method Summary
`boolean` | `exportToHtml(java.lang.String htmlFileName, boolean bChartApplet, boolean isMultiFile, boolean bUsingTable, boolean bHyperlink, boolean bPageNum, boolean bAbsolute, int iBrowser)` Exports the current report to HTML.
`boolean` | `exportToPdf(java.lang.String pdfFileName)` Exports the current report to a PDF file.
`boolean` | `exportToText(java.lang.String textFileName, boolean isNormalText, boolean isRepeat, char delimiter)` Exports current report to a TEXT file.

Method Detail

### exportToHtml

    boolean exportToHtml(java.lang.String htmlFileName,
                         boolean bChartApplet,
                         boolean isMultiFile,
                         boolean bUsingTable,
                         boolean bHyperlink,
                         boolean bPageNum,
                         boolean bAbsolute,
                         int iBrowser)

  Exports the current report to HTML.

  Parameters:
    `htmlFileName` - the HTML file name.
    `bChartApplet` - indicates whether the chart in html file is exported as an applet.
    `isMultiFile` - indicates whether to export the html to a file or to multiple files.
    `bUsingTable` - indicates whether to generate a hyperlink
    `bHyperlink` - indicates whether to generate a hyperlink
    `bPageNumber` - indicates whether to generate page numbers
    `bAbsolute` - indicates the font size is absolute or relative
    `iBrowser` - indicates the browser is IE or NETSCAPE. The value of parameter int browser must be one of the IE or NETSCAPE.
  Returns:
    true if exported successfully.

### exportToPdf

    boolean exportToPdf(java.lang.String pdfFileName)

  Exports the current report to a PDF file.

  Parameters:
    `pdfFileName` - the PDF file name.
  Returns:
    true if exported successfully.

### exportToText

    boolean exportToText(java.lang.String textFileName,
                         boolean isNormalText,
                         boolean isRepeat,
                         char delimiter)

  Exports current report to a TEXT file.

  Parameters:
    `textFileName` - the TEXT file name.
    `isNormalText` - is to set whether this text file is normal text format or standard data format

    the standard data format text file is the text file that each row of it represents each record in the report. It can be used as a text datasource to exchange data with other application

    `isRepeat` - indicates whether to repeat the same contents.
    `delimiter` - delimiter used in SDF(Standard Data Format) format
  Returns:
    true if exported successfully.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD